Subject: Re: [Teas] Status update on draft-ietf-teas-sf-aware-topo-model

From: Xufeng Liu <[email-masked]>
Date: Thu, 12 Mar 2020 17:57:27 -0400

Hi Tom,

We have posted the updated version (
https://tools.ietf.org/html/draft-ietf-teas-sf-aware-topo-model-05 ) to fix
the issues that you raised.
Thanks a lot,
- Xufeng

On Tue, Mar 26, 2019 at 6:05 AM tom petch <[email-masked]> wrote:

> Xufeng
>
> Some quirks.
>
> Introduction/Abstract do not mention support or lack thereof  for NMDA
> (which the IESG have been calling for).
>
[Xufeng]: Added.

>
> Introduction does not have a reference for YANG leaving the question of
> version number uncertain
>
[Xufeng]: Added.

>
> Terminology fails to reference RFC8174
>
[Xufeng]: Fixed

>
> Expand on first use, perhaps in Terminology, is helpful - TOSCA, SF2LTP,
> SF2SF, SF2TTP,

[Xufeng]: Fixed

> CSO
[Xufeng]: Authors and contributors discussed CSO and decided to remove it
from this document and put it into a separate document.

>
> yang-version 1 is rather limiting
>
[Xufeng]: Use 1.1 now.

>
> YANG import statements lack references (which YANG 1.1 allows)
>
> /       reference "TBD";/
>        reference "RFC XXXX - SF Aware TE Topology YANG Model"; /
>
[Xufeng]: Fixed these statements.

>
>    module ietf-cso-dc
> no version
> no copyright
> no reference to the I-D
> no description clauses
> no reference clauses
> somewhat short of ready IMHO- I think that this needs a lot of work!
>
[Xufeng]: As mentioned above, CSO is removed from this document and planned
to be put into a separate document.

>
> IANA Considerations
>    RFC Ed.: In this section, replace all occurrences of 'XXXX' with the
>    actual RFC number (and remove this note).
> I suggest that this apply throughout the I-D and that the Note is placed
> at the start, before the Introduction (the RFC Editor are happy with
> just the one note)
>
[Xufeng]: Changed as suggeted.

>
> RFC6020 is a better reference for the IANA Considerations
>
[Xufeng]: Right. Use  RFC6020 now.

>
>    [I-D.ietf-netmod-revised-datastores]
> RFC8342
>
[Xufeng]: Fixed.

>
>    [I-D.ietf-netmod-yang-tree-diagrams]
> RFC8340
>
[Xufeng]:  Fixed.

>
>    [I-D.ietf-i2rs-yang-network-topo]
> RFC8345
>
[Xufeng]: Fixed.

>
>      import ietf-actn-vn {
> does not appear in section 1.3
>
[Xufeng]: Added.

>
> Tom Petch
>
> ----- Original Message -----
> From: "Xufeng Liu" <[email-masked]>
> To: "TEAS WG" <[email-masked]>
> Sent: Saturday, March 23, 2019 12:02 PM
> Subject: [Teas] Status update on draft-ietf-teas-sf-aware-topo-model
>
>
> > Current Status:
> >
> >   *  The updated revision -03 was posted on Mar 11, 2019:
> >
> >      > Editorial fixes.
> >
> > Open Issues:
> >
> >   *   None.
> >
> > Next Steps:
> >
> >   *  Update the document to align with the latest versions of
> >      referenced documents, including draft-ietf-teas-yang-te-topo,
> >      RFC8340, RFC8342, RFC8345, and RFC8459.
> >   *  Update the section of Security Considerations according to latest
> >      guidelines.
> >   *  Get further reviews.
> >   *  YANG doctor's review.
> >   *  Working Group Last Call after completing above.
> >
> > Thanks,
> > - Xufeng
> >
>
>
> ------------------------------------------------------------------------
> --------
>
>
> > _______________________________________________
> > Teas mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/teas
> >
>
>